BAM_TO_BIGWIG(1)

NAME
bam_to_bigWig.pl - Make bigWig coverage profiles from BAM files

SYNOPSIS
bam_to_bigWig.pl [--bam FILE] [--cs FILE] [--strand +/-] [options]

DESCRIPTION
Produce bigWig coverage profiles from (aligned) BAM files, explicitly considering strandedness. The most natural use case of this tool is to create strand-aware coverage profiles in bigWig format for genome browser visualization.

OPTIONS

--bam -b
    Input file in BAM format

--cs -c
    Chromosome sizes file

--strand -s
    Use this option if the input BAM file is strictly strand-specific, ie. contains only reads mapped to either the positive or negative strand. Possible values are either '+' or '-'. If the value given here is '+', the interim bedGraph file will be created with positive values. A '-' given here will create the inerim bedGraph file with negative values, which is required for proper visualization of bigWig files holding coverage profiles of reads mapped to the negative strand in the UCSC genome browser. If the input BAM file is not strand-specific, ie contains reads mapped to both positive and negative strand, then the default value '+' will be used, resulting in bigWig coverage profiles rendered in positive (y-axis direction) in the UCSC genome browser.

-o  Output directory

--log -l
    Name of the log file. Unless specified, the default log file will be "bam_to_bigwig.log" in the given output directory.

--help -h
    Print short help

--man
    Prints the manual page and exits

AUTHOR
Michael T. Wolfinger <michael@wolfinger.eu>